#include <stdio.h>
#include <sys/types.h>
#include <sys/file.h>
#include <errno.h>
#include "mex.h"
#include "intrfc.h"
#include "dapio.c"

void mexFunction(
   int nlhs, mxArray *plhs[],
   int nrhs, const mxArray *prhs[])
   {
   char *buf;
   unsigned int buflen;
   int status;

   /* Redirect ctrl-c so that MEX file can close DAP channels
      before exiting. */
   mysig();

   /* Find out how long the input string array is. */
   buflen = (mxGetM(prhs[0]) * mxGetN(prhs[0])) + 1;
   /* Allocate enough memory to hold the string. */
   buf = mxCalloc(buflen, sizeof(char));
   /* Copy the string data from prhs[0] and place it into buf. */
   status = mxGetString(prhs[0],buf,buflen+1);
   /* If conversion unsuccessful, print and error message and exit. */
   if (status != 0)
     mexErrMsgTxt("Could not convert string data.");

   /* Copy the carriage return character to the string. */
   strcat(buf,"\r");

   /* Open handles to DAP text communication pipe */
   if ((fdDapTxt=open("/dev/accel0",O_RDWR)) <= 0)
     { printf("Error opening accel0, errno=%d\n",errno); return; }

   /* Send the command string to the Dap board. */
   DAPSendLine(fdDapTxt,buf);

   /* close handles */
   close(fdDapTxt);
   
   /* Restore original ctrl-c handler. */
   restoresig();
   }








