% Make the EightChannel screen for hexagonal array.
% Define labels for electrodes, in left-to-right, top-to-bottom order.
% This mapping is accurate for the Version 2 preamp (PC Board).
EClabels{1} = 'F4';
EClabels{2} = 'E2';
EClabels{3} = 'E7';
EClabels{4} = 'E4';
EClabels{5} = 'A1';
EClabels{6} = 'F7';
EClabels{7} = 'F5';
EClabels{8} = 'E1';
EClabels{9} = 'E6';
EClabels{10} = 'A2';
EClabels{11} = 'A0';
EClabels{12} = 'F2';
EClabels{13} = 'F1';
EClabels{14} = 'F6';
EClabels{15} = 'E0';
EClabels{16} = 'A3';
EClabels{17} = 'A7';
EClabels{18} = 'A5';
EClabels{19} = 'G5';
EClabels{20} = 'G4';
EClabels{21} = 'F3';
EClabels{22} = 'F0';
EClabels{23} = 'E5';
EClabels{24} = 'A6';
EClabels{25} = 'A4';
EClabels{26} = 'B1';
EClabels{27} = 'G6';
EClabels{28} = 'G7';
EClabels{29} = 'G0';
EClabels{30} = 'G2';
EClabels{31} = 'D3';
EClabels{32} = 'B2';
EClabels{33} = 'B0';
EClabels{34} = 'B7';
EClabels{35} = 'B6';
EClabels{36} = 'G1';
EClabels{37} = 'H4';
EClabels{38} = 'H6';
EClabels{39} = 'D5';
EClabels{40} = 'C0';
EClabels{41} = 'C3';
EClabels{42} = 'B4';
EClabels{43} = 'B5';
EClabels{44} = 'H5';
EClabels{45} = 'H7';
EClabels{46} = 'H3';
EClabels{47} = 'D0';
EClabels{48} = 'C6';
EClabels{49} = 'C1';
EClabels{50} = 'C2';
EClabels{51} = 'H0';
EClabels{52} = 'H2';
EClabels{53} = 'D6';
EClabels{54} = 'D1';
EClabels{55} = 'C5';
EClabels{56} = 'C7';
EClabels{57} = 'H1';
EClabels{58} = 'D4';
EClabels{59} = 'D7';
EClabels{60} = 'D2';
EClabels{61} = 'C4';
EClabels{62} = 'B3';
EClabels{63} = 'E3';
EClabels{64} = 'G3';
if (ec.preamp_type == 1)
  ECOldPre;
end
ECDiskColor(1,1:3) = [1 1 1];
ECDiskColor(2,1:3) = [1 1 1];
ECDiskColor(3,1:3) = [1 1 1];
ECDiskColor(4,1:3) = [1 1 1];
ECDiskColor(5,1:3) = [1 1 1];
ECDiskColor(6,1:3) = [1 1 1];
ECDiskColor(7,1:3) = [1 1 1];
ECDiskColor(8,1:3) = [1 1 1];

if isempty(findobj('Tag','EightChannel'))
  emptyscr;
end

ECFigBGColor = get(gcf,'Color');
cla
set(gca,'Color',ECFigBGColor,'XTick',[],'YTick',[])
set(gca,'XColor',ECFigBGColor,'YColor',ECFigBGColor)
set(gca,'Position',[0 0 1 1])
%Do some scaling to make circles look circular instead of elliptical
ECFigStats = get(gcf,'Position');
ECFigRatio = ECFigStats(3)/ECFigStats(4);
axis([-6 10 -5.5 5.5])
ax = axis;
ECFigRatio = ECFigRatio*((ax(4)-ax(3))/(ax(2)-ax(1)));
ECw = .3;
ECh = ECFigRatio * ECw;
ECx = ECw*cos(0:.2:2*pi);
ECy = ECh*sin(0:.2:2*pi);

hold on;
index1=1;
for i=1:5
   for j=1:4+i
      ECposx = -2.5-(.5*i)+j;
      ECposy = 5-i;
      fill(ECx+ECposx,ECy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
      ECHandle = text(ECposx-.1,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
      set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''' ...
      EClabels{index1} ''');'],'Tag',EClabels{index1});
      %Draw outline; to indicate stimulator connection
      outlinex = [ECx (ECx*1.15) ECx(1)]+ECposx;
      outliney = [ECy (ECy*1.15) ECy(1)]+ECposy;
      ECOutlineHandle = fill(outlinex,outliney,'k');
      set(ECOutlineHandle,'Tag',[EClabels{index1} 'Outline'],'Visible', ...
      'off','ButtonDownFcn',['ec = ECsw(ec,''' EClabels{index1} ''');']);
      index1 = index1+1;
   end
end
for i=1:4
   for j=1:9-i
      ECposx = -5+j+(.5*i);
      ECposy = -i;
      fill(ECx+ECposx,ECy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
      ECHandle = text(ECposx-.1,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
      fill(ECx+ECposx,ECy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
      ECHandle = text(ECposx-.1,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
      set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''' ...
      EClabels{index1} ''');'],'Tag',EClabels{index1});
      %Draw outline; to indicate stimulator connection
      outlinex = [ECx (ECx*1.15) ECx(1)]+ECposx;
      outliney = [ECy (ECy*1.15) ECy(1)]+ECposy;
      ECOutlineHandle = fill(outlinex,outliney,'k');
      set(ECOutlineHandle,'Tag',[EClabels{index1} 'Outline'],'Visible', ...
      'off','ButtonDownFcn',['ec = ECsw(ec,''' EClabels{index1} ''');']);
      index1 = index1+1;
   end
end

index1=62;
ECposx=5;
ECposy=-3;
fill(ECx+ECposx,ECy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
ECHandle = text(ECposx-.1,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''' ...
EClabels{index1} ''');'],'Tag',EClabels{index1});
%Draw outline; to indicate stimulator connection
outlinex = [ECx (ECx*1.15) ECx(1)]+ECposx;
outliney = [ECy (ECy*1.15) ECy(1)]+ECposy;
ECOutlineHandle = fill(outlinex,outliney,'k');
set(ECOutlineHandle,'Tag',[EClabels{index1} 'Outline'],'Visible', ...
'off','ButtonDownFcn',['ec = ECsw(ec,''' EClabels{index1} ''');']);


index1=63;
ECposx=6;
ECposy=-3;
fill(ECx+ECposx,ECy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
ECHandle = text(ECposx-.1,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''' ...
EClabels{index1} ''');'],'Tag',EClabels{index1});
%Draw outline; to indicate stimulator connection
outlinex = [ECx (ECx*1.15) ECx(1)]+ECposx;
outliney = [ECy (ECy*1.15) ECy(1)]+ECposy;
ECOutlineHandle = fill(outlinex,outliney,'k');
set(ECOutlineHandle,'Tag',[EClabels{index1} 'Outline'],'Visible', ...
'off','ButtonDownFcn',['ec = ECsw(ec,''' EClabels{index1} ''');']);

index1=64;
ECposx=5.5;
ECposy=-4;
fill(ECx+ECposx,ECy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
ECHandle = text(ECposx-.1,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''' ...
EClabels{index1} ''');'],'Tag',EClabels{index1});
%Draw outline; to indicate stimulator connection
outlinex = [ECx (ECx*1.15) ECx(1)]+ECposx;
outliney = [ECy (ECy*1.15) ECy(1)]+ECposy;
ECOutlineHandle = fill(outlinex,outliney,'k');
set(ECOutlineHandle,'Tag',[EClabels{index1} 'Outline'],'Visible', ...
'off','ButtonDownFcn',['ec = ECsw(ec,''' EClabels{index1} ''');']);

%Ground Electrode (for stimulus connections)
ECposx=6.5;
ECposy=-4;
fill(ECx+ECposx,ECy+ECposy,[.5 .5 .5])
ECHandle = text(ECposx-.25,ECposy,'GND','FontWeight','bold','FontSize',14);
set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''Z0'');'],'Tag','Z0');
%Draw outline; to indicate stimulator connection
outlinex = [ECx (ECx*1.15) ECx(1)]+ECposx;
outliney = [ECy (ECy*1.15) ECy(1)]+ECposy;
ECOutlineHandle = fill(outlinex,outliney,'k');
set(ECOutlineHandle,'Tag','Z0Outline','Visible', ...
'off','ButtonDownFcn',['ec = ECsw(ec,''Z0'');']);

hold off;
%clear all variables used here
clear outlinex;
clear outliney;
clear ax;
clear ECOutlineHandle
clear ECFigBGColor
clear ECFigStats
clear ECHandle
clear ECFigRatio
clear i
clear j
clear EClabels
clear ECDiskColor
clear ECposx
clear ECposy
clear ECx
clear ECy
clear ECh
clear ECw
clear index1
