% Make the EightChannel screen for TicTacToe array.
% Define labels for electrodes, in left-to-right, top-to-bottom order.
% This mapping is accurate for the Version 2 preamp (PC Board).
EClabels{1} = 'E0';
EClabels{2} = 'E6';
EClabels{3} = 'E4';
EClabels{4} = 'A3';
EClabels{5} = 'A1';
EClabels{6} = 'A7';
EClabels{7} = 'E3';
EClabels{8} = 'E1';
EClabels{9} = 'E7';
EClabels{10} = 'A2';
EClabels{11} = 'A0';
EClabels{12} = 'A6';
EClabels{13} = 'A4';
EClabels{14} = 'F5';
EClabels{15} = 'F4';
EClabels{16} = 'E2';
EClabels{17} = 'A5';
EClabels{18} = 'B3';
EClabels{19} = 'B2';
EClabels{20} = 'F0';
EClabels{21} = 'F7';
EClabels{22} = 'F6';
EClabels{23} = 'E5';
EClabels{24} = 'B1';
EClabels{25} = 'B0';
EClabels{26} = 'B7';
EClabels{27} = 'F3';
EClabels{28} = 'F2';
EClabels{29} = 'F1';
EClabels{30} = 'B6';
EClabels{31} = 'B5';
EClabels{32} = 'B4';
EClabels{33} = 'G5';
EClabels{34} = 'G4';
EClabels{35} = 'C3';
EClabels{36} = 'C1';
EClabels{37} = 'G6';
EClabels{38} = 'C2';
EClabels{39} = 'C7';
EClabels{40} = 'G1';
EClabels{41} = 'C0';
EClabels{42} = 'C4';
EClabels{43} = 'H4';
EClabels{44} = 'H0';
EClabels{45} = 'D1';
EClabels{46} = 'H7';
EClabels{47} = 'H2';
EClabels{48} = 'D5';
EClabels{49} = 'G0';
EClabels{50} = 'G7';
EClabels{51} = 'C5';
EClabels{52} = 'C6';
EClabels{53} = 'G3';
EClabels{54} = 'G2';
EClabels{55} = 'D2';
EClabels{56} = 'D3';
EClabels{57} = 'H5';
EClabels{58} = 'H6';
EClabels{59} = 'D7';
EClabels{60} = 'D0';
EClabels{61} = 'H1';
EClabels{62} = 'H3';
EClabels{63} = 'D4';
EClabels{64} = 'D6';
if (ec.preamp_type == 1)
  ECOldPre;
end

ECDiskColor(1,1:3) = [.5 .5 .5];
ECDiskColor(2,1:3) = [0 0 1];
ECDiskColor(3,1:3) = [0 1 0];
ECDiskColor(4,1:3) = [0 1 1];
ECDiskColor(5,1:3) = [1 0 0];
ECDiskColor(6,1:3) = [1 0 1];
ECDiskColor(7,1:3) = [1 1 0];
ECDiskColor(8,1:3) = [1 .5 0];

if isempty(findobj('Tag','EightChannel'))
  emptyscr;
end

ECFigBGColor = get(gcf,'Color');
cla
set(gca,'Color',ECFigBGColor,'XTick',[],'YTick',[])
set(gca,'XColor',ECFigBGColor,'YColor',ECFigBGColor)
set(gca,'Position',[0 0 1 1])
%Do some scaling to make circles look circular instead of elliptical
ECFigStats = get(gcf,'Position');
ECFigRatio = ECFigStats(3)/ECFigStats(4);
axis([-6 10 -5.5 5.5])
ax = axis;
ECFigRatio = ECFigRatio*((ax(4)-ax(3))/(ax(2)-ax(1)));
ECw = .3;
ECh = ECFigRatio * ECw;
ECx = ECw*cos(0:.2:2*pi);
ECy = ECh*sin(0:.2:2*pi);

hold on;
%Top two rows of recording group
index1=1;
for i=1:2
   for j=1:(5+i)
      ECposx = -3-(.5*i)+j;
      ECposy = 6-i;
      fill(ECx+ECposx,ECy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
      ECHandle = text(ECposx-.1,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
      set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''' ...
      EClabels{index1} ''');'],'Tag',EClabels{index1});

      %Draw outline; to indicate stimulator connection
      outlinex = [ECx (ECx*1.15) ECx(1)]+ECposx;
      outliney = [ECy (ECy*1.15) ECy(1)]+ECposy;
      ECOutlineHandle = fill(outlinex,outliney,'k');
      set(ECOutlineHandle,'Tag',[EClabels{index1} 'Outline'],'Visible', ...
      'off','ButtonDownFcn',['ec = ECsw(ec,''' EClabels{index1} ''');']);

      index1 = index1+1;
   end
end

%3rd and 4th rows of recording group
for i=1:2
   for j=1:(5+i)
      ECposx = -3-(.5*i)+j;
      ECposy = 4-i;
      fill(ECx+ECposx,ECy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
      ECHandle = text(ECposx-.1,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
      set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''' ...
      EClabels{index1} ''');'],'Tag',EClabels{index1});

      %Draw outline; to indicate stimulator connection
      outlinex = [ECx (ECx*1.15) ECx(1)]+ECposx;
      outliney = [ECy (ECy*1.15) ECy(1)]+ECposy;
      ECOutlineHandle = fill(outlinex,outliney,'k');
      set(ECOutlineHandle,'Tag',[EClabels{index1} 'Outline'],'Visible', ...
      'off','ButtonDownFcn',['ec = ECsw(ec,''' EClabels{index1} ''');']);

      index1 = index1+1;
   end
end

%5th row of recording group
for i=1:1
   for j=1:(5+i)
      ECposx = -3-(.5*i)+j;
      ECposy = 2-i;
      fill(ECx+ECposx,ECy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
      ECHandle = text(ECposx-.1,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
      set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''' ...
      EClabels{index1} ''');'],'Tag',EClabels{index1});

      %Draw outline; to indicate stimulator connection
      outlinex = [ECx (ECx*1.15) ECx(1)]+ECposx;
      outliney = [ECy (ECy*1.15) ECy(1)]+ECposy;
      ECOutlineHandle = fill(outlinex,outliney,'k');
      set(ECOutlineHandle,'Tag',[EClabels{index1} 'Outline'],'Visible', ...
      'off','ButtonDownFcn',['ec = ECsw(ec,''' EClabels{index1} ''');']);

      index1 = index1+1;
   end
end


%First row of stimulating group
for i=1:1
   for j=2:5
      ECposx = -3+(.75*j);
      ECposy = -i;
      fill(ECx+ECposx,ECy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
      ECHandle = text(ECposx-.1,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
      fill(ECx+ECposx,ECy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
      ECHandle = text(ECposx-.1,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
      set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''' ...
      EClabels{index1} ''');'],'Tag',EClabels{index1});

      %Draw outline; to indicate stimulator connection
      outlinex = [ECx (ECx*1.15) ECx(1)]+ECposx;
      outliney = [ECy (ECy*1.15) ECy(1)]+ECposy;
      ECOutlineHandle = fill(outlinex,outliney,'k');
      set(ECOutlineHandle,'Tag',[EClabels{index1} 'Outline'],'Visible', ...
      'off','ButtonDownFcn',['ec = ECsw(ec,''' EClabels{index1} ''');']);

      index1 = index1+1;
   end
end

%TicTacToe pattern, vertical bars
TTTvx = [-.1 -.1 .1 .1 -.1];
TTTvy = [-.25 .25 .25 -.25 -.25];
for i = 1:4
for j=2:2:6
      ECposx = -3+(.75*j);
      ECposy = -1.7 - ((i-1)*.75);
      fill(TTTvx+ECposx,TTTvy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
      ECHandle = text(ECposx-.15,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
      set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''' ...
      EClabels{index1} ''');'],'Tag',EClabels{index1});

      %Draw outline; to indicate stimulator connection
      outlinex = [TTTvx (TTTvx*1.15) TTTvx(1)]+ECposx;
      outliney = [TTTvy (TTTvy*1.15) TTTvy(1)]+ECposy;
      ECOutlineHandle = fill(outlinex,outliney,'k');
      set(ECOutlineHandle,'Tag',[EClabels{index1} 'Outline'],'Visible', ...
      'off','ButtonDownFcn',['ec = ECsw(ec,''' EClabels{index1} ''');']);

      index1 = index1+1;
end
end

%TicTacToe pattern, horizontal bars
for i = 1:3
for j=2:2:8
      ECposx = -3.75 +(.75*j);
      ECposy = -2.1 - ((i-1)*.75);
      fill(TTTvy+ECposx,TTTvx+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
      ECHandle = text(ECposx-.15,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
      set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''' ...
      EClabels{index1} ''');'],'Tag',EClabels{index1});

      %Draw outline; to indicate stimulator connection
      outliney = [TTTvx (TTTvx*1.15) TTTvx(1)]+ECposy;
      outlinex = [TTTvy (TTTvy*1.15) TTTvy(1)]+ECposx;
      ECOutlineHandle = fill(outlinex,outliney,'k');
      set(ECOutlineHandle,'Tag',[EClabels{index1} 'Outline'],'Visible', ...
      'off','ButtonDownFcn',['ec = ECsw(ec,''' EClabels{index1} ''');']);

      index1 = index1+1;
end
end

%Sixth row of stimulating group
for i=6:6
   for j=3:6
      ECposx = -3+(.75*j);
      ECposy = -1+(-(i-1)*.75);
      fill(ECx+ECposx,ECy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
      ECHandle = text(ECposx-.1,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
      fill(ECx+ECposx,ECy+ECposy,ECDiskColor(double(EClabels{index1}(1)-64),1:3))
      ECHandle = text(ECposx-.1,ECposy,EClabels{index1},'FontWeight','bold','FontSize',14);
      set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''' ...
      EClabels{index1} ''');'],'Tag',EClabels{index1});

      %Draw outline; to indicate stimulator connection
      outlinex = [ECx (ECx*1.15) ECx(1)]+ECposx;
      outliney = [ECy (ECy*1.15) ECy(1)]+ECposy;
      ECOutlineHandle = fill(outlinex,outliney,'k');
      set(ECOutlineHandle,'Tag',[EClabels{index1} 'Outline'],'Visible', ...
      'off','ButtonDownFcn',['ec = ECsw(ec,''' EClabels{index1} ''');']);

      index1 = index1+1;
   end
end

%Ground Electrode (for stimulus connections)
ECposx=6.5;
ECposy=-4;
fill(ECx+ECposx,ECy+ECposy,[.5 .5 .5])
ECHandle = text(ECposx-.25,ECposy,'GND','FontWeight','bold','FontSize',14);
set(ECHandle,'ButtonDownFcn',['ec = ECsw(ec,''Z0'');'],'Tag','Z0');
%Draw outline; to indicate stimulator connection
outlinex = [ECx (ECx*1.15) ECx(1)]+ECposx;
outliney = [ECy (ECy*1.15) ECy(1)]+ECposy;
ECOutlineHandle = fill(outlinex,outliney,'k');
set(ECOutlineHandle,'Tag','Z0Outline','Visible', ...
'off','ButtonDownFcn',['ec = ECsw(ec,''Z0'');']);

hold off;
%clear all variables used here
clear outlinex;
clear outliney;
clear ax;
clear ECOutlineHandle
clear ECFigBGColor
clear ECFigStats
clear ECHandle
clear ECFigRatio
clear i
clear j
clear EClabels
clear ECDiskColor
clear ECposx
clear ECposy
clear ECx
clear ECy
clear ECh
clear ECw
clear index1
clear TTTvx
clear TTTvy
