function newec = ECrefrsh(newec)
%ECrefrsh: reads eight-channel amp settings and updates EC screen.

ECOnColor(1,1:3) = [1 1 1];  %for A electrodes
ECOnColor(2,1:3) = [1 1 1];  %for B electrodes
ECOnColor(3,1:3) = [1 0 0];  %for C electrodes
ECOnColor(4,1:3) = [1 .5 0]; %for D electrodes
ECOnColor(5,1:3) = [1 1 1];  %for E electrodes
ECOnColor(6,1:3) = [1 1 1];  %for F electrodes
ECOnColor(7,1:3) = [1 0 0];  %for G electrodes
ECOnColor(8,1:3) = [1 1 1];  %for H electrodes

% Turn off old settings

for i = 1:8
   set(findobj('String',[char(i+64) num2str(newec.channel_settings(i))]), ...
   'Color',[0 0 0]);
end

% Update screen with new settings
DapRset
ECDapNit
ECDapStt
newec.channel_settings = ECDapRd(zeros(1,8));
ECDapStp
for i = 1:8
  EChandle = findobj('String',[char(i+64) num2str(newec.channel_settings(i))]);
  set(EChandle,'Color',ECOnColor(i,1:3))
end

clear i
clear ECOnColor
clear EChandle
