% Make the EightChannel screen.
switch ec.array_type
  case 1
    ECHexscr;
  case 2
    EC25uscr;
  case 3
    ECTTTscr;
end

set(gcf,'Tag','EightChannel')

uicontrol('Position',[700 500 160 30],'String','Refresh Amp Settings', ...
'FontSize',14,'Callback','ec = ECsw(ec,''refresh'');');

uicontrol('Position',[700 450 140 30],'Style','popupmenu','String', ...
'Hexagonal Array | 25 Micron Array | TicTacToe Array','FontSize',14, ...
'Value',ec.array_type, ...
'Callback','ec.array_type = get(gcbo,''Value''); clf; set(gcf,''Tag'',''EightChannel''); ECstart;');

uicontrol('Position',[700 400 250 30],'Style','popupmenu','String', ...
'Ver. 1 Pre-amp (Wire-Wrapped) | Ver. 2 Preamp (PC Board)', ...
'FontSize',14, 'Value',ec.preamp_type, ...
'Callback','ec.preamp_type = get(gcbo,''Value''); clf; set(gcf,''Tag'',''EightChannel''); ECstart;');

uicontrol('Position',[700 320 75 20],'Style','Text','String','Change:', ...
'FontSize',14,'HorizontalAlignment','left')

uicontrol('Position',[725 290 200 20],'Style','CheckBox','String', ...
'Recording Electrode','FontSize',12,'Value',(ui.ecchange == 1), ...
'Tag','ECChange','Callback', ...
  ['ui.ecchange=1; ' ...
   'a=findobj(''Tag'',''ECChange''); ' ...
   'set(a(find(a ~= gcbo)),''Value'',0); ' ...
   'clear a; '])

uicontrol('Position',[725 270 200 20],'Style','CheckBox','String', ...
'Stimulator: +','FontSize',12,'Value',(ui.ecchange == 2), ...
'Tag','ECChange','Callback', ...
  ['ui.ecchange=2; ' ...
   'a=findobj(''Tag'',''ECChange''); ' ...
   'set(a(find(a ~= gcbo)),''Value'',0); ' ...
   'clear a; '])

uicontrol('Position',[725 250 200 20],'Style','CheckBox','String', ...
'Stimulator: -','FontSize',12,'Value',(ui.ecchange == 3), ...
'Tag','ECChange','Callback', ...
  ['ui.ecchange=3; ' ...
   'a=findobj(''Tag'',''ECChange''); ' ...
   'set(a(find(a ~= gcbo)),''Value'',0); ' ...
   'clear a; '])

uicontrol('Position',[725 230 200 20],'Style','CheckBox','String', ...
'Stimulator: NC','FontSize',12,'Value',(ui.ecchange == 4), ...
'Tag','ECChange','Callback', ...
  ['ui.ecchange=4; ' ...
   'a=findobj(''Tag'',''ECChange''); ' ...
   'set(a(find(a ~= gcbo)),''Value'',0); ' ...
   'clear a; '])


uicontrol('Position',[700 360 125 20],'Style','CheckBox','String', ...
'Enable Parallel','FontSize',12,'HorizontalAlignment','left', ...
'Value',0,'Tag','EnableParallel')

intrmenu











