#include <stdio.h>
#include <sys/times.h>
#include <sys/types.h>
#include <sys/file.h>
#include <errno.h>
#include "intrfc.h"
#include "mex.h"
#include "dapio.c"

void mexFunction(
   int nlhs, mxArray *plhs[],
   int nrhs, const mxArray *prhs[])
   {
   short DapBuf[1024];
   double *OutData;
   int i,j;
   int total,BytesAvail;
   clock_t t;
   struct tms buf;

   /* Redirect ctrl-c so that MEX file can close DAP channels
      before exiting. */
   mysig();

   /* Open handles to DAP text and binary communication pipes */
   if ((fdDapTxt=open("/dev/accel0",O_RDWR)) <= 0)
     { printf("Error opening accel0, errno=%d\n",errno); return; }
   if ((fdDapBin=open("/dev/accel1",O_RDWR)) <= 0)
     { printf("Error opening accel1, errno=%d\n",errno); return; }

     /* create matrix to hold nerve and monitor data */
   plhs[0] = mxCreateDoubleMatrix(3,1000,mxREAL);

   total = 0;
   OutData = mxGetPr(plhs[0]);

   /* Wait for data and get it */
   t = times(&buf);
   while (total < 6000) {
      BytesAvail = DAPGetAvail(fdDapBin);
      if (BytesAvail > 0) {
        read(fdDapBin,DapBuf,BytesAvail);}
      for (i=0; i < (BytesAvail/2); i++){
        OutData[i+(total/2)] = (double) DapBuf[i];}
      total += BytesAvail;
      if ((times(&buf)-t) > 1000) {break;}}

   /* close handles */
   close(fdDapTxt);
   close(fdDapBin);

   /* Restore original ctrl-c handler. */
   restoresig();

   }



















