function [subtp,suptp] = RTSubSup(tp)

%PercentChange is the percent above and below which the
%threshold pulse will be modified, assuming the pulse
%is large enough that the D/A resolution is not a factor.
PercentChange = str2num(get(findobj('Tag','PercentChange'),'String'));


%Compute sizes for suprathreshold stimulus

suptp = tp;

if (abs((suptp.pulse1_height)/16) > 10)
  suptp.pulse1_height=16*round(((100+PercentChange)/100)* ...
                               (suptp.pulse1_height/16));
else
  suptp.pulse1_height = sign(suptp.pulse1_height)* ...
                     (abs(suptp.pulse1_height)+(16*1));
end
if sign(suptp.pulse1_height) ~= sign(tp.pulse1_height)
  suptp.pulse1_height = 0;
end

if (abs((suptp.pulse2_height)/16) > 10)
  suptp.pulse2_height=16*round(((100+PercentChange)/100)* ...
                               (suptp.pulse2_height/16));
else
  suptp.pulse2_height = sign(suptp.pulse2_height)* ...
                     (abs(suptp.pulse2_height)+(16*1));
end
if sign(suptp.pulse2_height) ~= sign(tp.pulse2_height)
  suptp.pulse2_height = 0;
end


%Compute sizes for subthreshold stimulus
subtp = tp;

if (abs((subtp.pulse1_height)/16) > 10)
  subtp.pulse1_height=16*round(((100-PercentChange)/100)* ...
                               (subtp.pulse1_height/16));
else
  subtp.pulse1_height = sign(subtp.pulse1_height)* ...
                     (abs(subtp.pulse1_height)-(16*1));
end
if sign(subtp.pulse1_height) ~= sign(tp.pulse1_height)
  subtp.pulse1_height = 0;
end

if (abs((subtp.pulse2_height)/16) > 10)
  subtp.pulse2_height=16*round(((100-PercentChange)/100)* ...
                               (subtp.pulse2_height/16));
else
  subtp.pulse2_height = sign(subtp.pulse2_height)* ...
                     (abs(subtp.pulse2_height)-(16*1));
end
if sign(subtp.pulse2_height) ~= sign(tp.pulse2_height)
  subtp.pulse2_height = 0;
end



