function RTscr()
%Make RecordThreshold screen.

%Make RTscr current if it already exists
if ~isempty(findobj('Tag','RTscr'))
  figure(findobj('Tag','RTscr'))
else

figwidth = 512;
figheight = 450;
a = figure('Position',[455 175 figwidth figheight],'Tag','RTscr');

axwidth = 0.45;
axheight = 0.15;
textwidth = 50;
textheight = 15;

axposx = 0.125;
axposy = 0.82;
axes('Parent',a,'Position',[axposx axposy axwidth axheight],'Tag','RTCurrent');
textposx = ((axposx+axwidth)*figwidth) - textwidth;
textposy = ((axposy+axheight)*figheight);
uicontrol('Style','text','Position', ...
[textposx textposy textwidth textheight],'String','Current');


axposx = 0.125;
axposy = 0.575;
axes('Parent',a,'Position',[axposx axposy axwidth axheight],'Tag','RTSupra');
uicontrol('Style','text','Position',[5 285 35 20],'Tag','RTSupRatio', ...
'ForegroundColor','b');

textposx = ((axposx+axwidth)*figwidth) - textwidth;
textposy = ((axposy+axheight)*figheight);
uicontrol('Style','text','Position', ...
[textposx textposy textwidth textheight],'String','Supra');

axposy = 0.325;
axes('Parent',a,'Position',[axposx axposy axwidth axheight], ...
'Tag','RTThreshold');
uicontrol('Style','text','Position',[5 170 35 20],'Tag','RTThrRatio', ...
'ForegroundColor','b');

textposx = ((axposx+axwidth)*figwidth) - textwidth;
textposy = ((axposy+axheight)*figheight);
uicontrol('Style','text','Position', ...
[textposx textposy textwidth textheight],'String','Threshold');

axposy = 0.075;
axes('Parent',a,'Position',[axposx axposy axwidth axheight],'Tag','RTSub');
uicontrol('Style','text','Position',[5 55 35 20],'Tag','RTSubRatio', ...
'ForegroundColor','b');
xlabel('Time (ms)')

textposx = ((axposx+axwidth)*figwidth) - textwidth;
textposy = ((axposy+axheight)*figheight);
uicontrol('Style','text','Position', ...
[textposx textposy textwidth textheight],'String','Sub');

uicontrol('Style','text','Position',[305 325 100 15],'String', ...
'Percent Change:');

uicontrol('Style','text','Position',[430 325 20 15],'String','10', ...
'Tag','PercentChange')

uicontrol('Style','pushbutton','Position',[410 325 15 15], ...
'String','<','Callback','RTsw pcl')
uicontrol('Style','pushbutton','Position',[455 325 15 15], ...
'String','>','Callback','RTsw pcg')

uicontrol('Style','text','Position',[305 300 100 15],'String', ...
'Channel:');

uicontrol('Style','popupmenu','Position',[410 300 50 20], ...
'FontSize',14,'String','A|B|C|D|E|F|G|H','Tag','RTChannel');

uicontrol('Style','text','Position',[305 270 150 20], ...
'FontSize',14,'FontWeight','demi','BackgroundColor','k', ...
'ForegroundColor','r','Tag','RTelectrode');

uicontrol('Style','checkbox','Position',[305 245 150 20], ...
'String','Show Sample Spike','Tag','RTShowSample','Callback','RTPltDat', ...
'Value',0);

uicontrol('Style','pushbutton','Position',[305 225 150 20], ...
'String','Set Sample Spike','Tag','RTSetSample','Callback','RTSetSamp');

uicontrol('Style','pushbutton','BackgroundColor','g','String','start', ...
'FontSize',14,'FontWeight','demi','Callback','RTSttStp','Tag','RTStart', ...
'Position',[360 130 100 70]);

uicontrol('Style','pushbutton','String','SAVE', ...
'FontSize',14,'Callback','RTsw save2','Position',[360 105 100 20], ...
'Tag','RTSave');

uicontrol('Style','text','String',['SAVE AS:'], ...
'FontSize',12,'Position',[360 70 100 17]);

uicontrol('Style','pushbutton','String','----', ...
'FontSize',12,'Callback','RTsw save1','Position', ...
[360 53 100 20], 'Tag','RTSaveAs');

uicontrol('Style','text','Position',[315 15 30 20],'String','ymin:');
uicontrol('Style','edit','Position',[345 15 35 20],'String','-3.5', ...
'Tag','RTymin','Callback','RTPltDat');
uicontrol('Style','text','Position',[390 15 30 20],'String','ymax:');
uicontrol('Style','edit','Position',[420 15 35 20],'String','1', ...
'Tag','RTymax','Callback','RTPltDat');

end

uicontrol('Style','text','Position',[305 400 75 15],'String', ...
'Threshold:');
uicontrol('Style','text','Position',[390 400 75 15],'Tag', ...
'RTThreshStr');

% draw cursors
RTDrawCurs;

% update screen
RTPltDat;






