function SCupdate()
%Update correlation list

dirname = get(findobj('Tag','SCdir'),'String');

WindowMS = str2num(get(findobj('Tag','SCwindow'),'String'));
MinReps = str2num(get(findobj('Tag','SCreps'),'String'));

% Assume sampling time is 50 microseconds.  NB: WindowMS is
% window length in milliseconds.
Window = WindowMS*20;

EditHandle = findobj('Tag','SClist');
set(EditHandle,'String','');

files = dir(dirname);

for i = 3:size(files,1)
  filename = [dirname '/' files(i).name];
  [x,y,reps] = SCcorr(filename,Window);
  index = find(reps > MinReps);
  spaces = ' ';
  for j = 1:(size(x,1)-1);
    spaces = strvcat(spaces,' ');
  end
  EditStr = get(EditHandle,'String');
  EditStr = strvcat(EditStr,[x(index,:) spaces(index,:) y(index,:) ...
                             spaces(index,:) num2str(reps(index,:))]);
  set(EditHandle,'String',EditStr);
  drawnow
end




