#include <stdio.h>
#include <sys/times.h>
#include <sys/types.h>
#include <sys/file.h>
#include <errno.h>
#include "mex.h"
#include "intrfc.h"
#include "dapio.c"

void mexFunction(
   int nlhs, mxArray *plhs[],
   int nrhs, const mxArray *prhs[])
   {
   short DapData[6];
   unsigned int SpikeTime;
   unsigned int NumChanSpikes[9];
   unsigned int SpikeCount;
   int i;
   clock_t t;
   struct tms buf;
   int fdDapTxt,fdDapBin;
   double *ToMatlab;

   SpikeCount = 0;
   for (i=0;i++;i<9)
     NumChanSpikes[i] = 0;

   /* Create an array to return spike data to MATLAB */
   plhs[0] = mxCreateDoubleMatrix(3*MAX_SPIKES_PER_CHANNEL,9,mxREAL);
   ToMatlab = mxGetPr(plhs[0]);

   /* Open handles to DAP text and binary communication pipes */
   if ((fdDapTxt=open("/dev/accel0",O_RDWR)) <= 0)
     { printf("Error opening accel0, errno=%d\n",errno); return; }
   if ((fdDapBin=open("/dev/accel1",O_RDWR)) <= 0)
     { printf("Error opening accel1, errno=%d\n",errno); return; }

   /* Clean out leftover data in certain pipes */
   DAPSendLine(fdDapTxt,"start cleanhouse\r");
   t = times(&buf);
   while ((times(&buf)-t) < 10) {}
   DAPSendLine(fdDapTxt,"stop cleanhouse\r");
   while ((times(&buf)-t) < 10) {}

   /* Flush communication channels. */
   DAPFlush(fdDapBin);
   DAPFlush(fdDapTxt);

   /* Start spike-logging routines on DAP board .*/
   DAPSendLine(fdDapTxt,"start smarta,smartb\r");

   /* Check for data and store it in memory */

   t = times(&buf);
   while ((times(&buf)-t) < 610) {
     if (DAPGetAvail(fdDapBin) >= 12) {
       read(fdDapBin,DapData,12);
       if (NumChanSpikes[DapData[0]] < MAX_SPIKES_PER_CHANNEL) {
         i = 3 *
         ((MAX_SPIKES_PER_CHANNEL*DapData[0])+NumChanSpikes[DapData[0]]);
         SpikeTime = (unsigned int) ((unsigned short) DapData[2]) << 16;
         SpikeTime = SpikeTime + (unsigned int) ((unsigned short) DapData[1]);
         ToMatlab[i] = (double) SpikeTime;
         SpikeTime = (unsigned int) ((unsigned short) DapData[4]) << 16;
         SpikeTime = SpikeTime + (unsigned int) ((unsigned short) DapData[3]);
         ToMatlab[i+1] = (double) SpikeTime;
         ToMatlab[i+2] = (double) DapData[5];
         SpikeCount++;
         NumChanSpikes[DapData[0]]++;}}}

   /* Stop spike-logging routines on DAP board. */
   DAPSendLine(fdDapTxt,"stop smartb\r");

   /* close handles */
   close(fdDapTxt);
   close(fdDapBin);
   for (i=0;i<1001;i++){ToMatlab[i] = (double) i;}
   }








