#include <stdio.h>
#include <sys/times.h>
#include <sys/types.h>
#include <sys/file.h>
#include <errno.h>
#include "intrfc.h"
#include "mex.h"
#include "dapio.c"

void mexFunction(
   int nlhs, mxArray *plhs[],
   int nrhs, const mxArray *prhs[])
   {
   short DapBuf[2];
   double *OutData;
   int i,j;
   int total,BytesAvail;
   clock_t t;
   struct tms buf;

   /* Redirect ctrl-c so that MEX file can close DAP channels
      before exiting. */
   mysig();

   /* Open handles to DAP text and binary communication pipes */
   if ((fdDapTxt=open("/dev/accel0",O_RDWR)) <= 0)
     { printf("Error opening accel0, errno=%d\n",errno); return; }
   if ((fdDapBin=open("/dev/accel1",O_RDWR)) <= 0)
     { printf("Error opening accel1, errno=%d\n",errno); return; }


   /* create matrix to hold monitor offsets */
   plhs[0] = mxCreateDoubleMatrix(1,2,mxREAL);

   /* start routines to get monitor offsets */
   DAPSendLine(fdDapTxt,"start offseta,offsetb\r");

   /* Wait for Monitor data and get it */
   t = times(&buf);
   while (DAPGetAvail(fdDapBin) < 4) {
      if ((times(&buf)-t) > 1000) {break;}}
   read(fdDapBin,DapBuf,4);

   /* Copy offsets to matlab array */
   OutData = mxGetPr(plhs[0]);
   OutData[0] = (double) DapBuf[0];
   OutData[1] = (double) DapBuf[1];

   /* stop routines to get monitor offsets */
   DAPSendLine(fdDapTxt,"stop offsetb\r");

   /* close handles */
   close(fdDapTxt);
   close(fdDapBin);

   /* Restore original ctrl-c handler. */
   restoresig();
   }








