#include <stdio.h>
#include <sys/times.h>
#include <sys/types.h>
#include <sys/file.h>
#include <errno.h>
#include "intrfc.h"
#include "mex.h"
#include "dapio.c"

void mexFunction(
   int nlhs, mxArray *plhs[],
   int nrhs, const mxArray *prhs[])
   {
   short DapBuf[1024];
   double *OutData;
   double *st;
   int i,j;
   int total,BytesAvail,StimType;
   clock_t t;
   struct tms buf;

   /* Redirect ctrl-c so that MEX file can close DAP channels
      before exiting. */
   mysig();

   /* Open handles to DAP text and binary communication pipes */
   if ((fdDapTxt=open("/dev/accel0",O_RDWR)) <= 0)
     { printf("Error opening accel0, errno=%d\n",errno); return; }
   if ((fdDapBin=open("/dev/accel1",O_RDWR)) <= 0)
     { printf("Error opening accel1, errno=%d\n",errno); return; }

   /* get stimulation type from MATLAB */
   st = mxGetPr(prhs[0]);
   StimType = (int) *st;

     /* create matrices to hold nerve and monitor data */
   plhs[0] = mxCreateDoubleMatrix(671,2,mxREAL);
   plhs[1] = mxCreateDoubleMatrix(8,1000,mxREAL);

   total = 0;
   OutData = mxGetPr(plhs[0]);

   /* If stimulating electrically, wait for Monitor data and get it */
   if (StimType == 2) {
     t = times(&buf);
     while (total < 2684) {
        BytesAvail = DAPGetAvail(fdDapBin);
        if (BytesAvail > 0) {
          if ((total + BytesAvail) > 2684){
            BytesAvail = 2684 - total;}
          read(fdDapBin,DapBuf,BytesAvail);}
        for (i=0; i < (BytesAvail/2); i++){
          OutData[i+(total/2)] = (double) DapBuf[i];}
        total += BytesAvail;
        if ((times(&buf)-t) > 1000) {break;}}}
   else {
     for (i=0; i < 1342; i++){
       OutData[i] = 0;}}

   total = 0;
   OutData = mxGetPr(plhs[1]);

   /* Wait for Nerve data and get it */
   t = times(&buf);
   while (total < 16000) {
      BytesAvail = DAPGetAvail(fdDapBin);
      if (BytesAvail > 0) {
        read(fdDapBin,DapBuf,BytesAvail);}
      for (i=0; i < (BytesAvail/2); i++){
        OutData[i+(total/2)] = (double) DapBuf[i];}
      total += BytesAvail;
      if ((times(&buf)-t) > 1000) {break;}}

   /* close handles */
   close(fdDapTxt);
   close(fdDapBin);

   /* Restore original ctrl-c handler. */
   restoresig();

   }








