#include <stdio.h>
#include <sys/types.h>
#include <sys/file.h>
#include <errno.h>
#include "mex.h"
#include "intrfc.h"
#include "dapio.c"

void mexFunction(
   int nlhs, mxArray *plhs[],
   int nrhs, const mxArray *prhs[])
   {
   int StimType;
   double *st;

   /* Redirect ctrl-c so that MEX file can close DAP channels
      before exiting. */
   mysig();

   /* Open handles to DAP text and binary communication pipes */
   if ((fdDapTxt=open("/dev/accel0",O_RDWR)) <= 0)
     { printf("Error opening accel0, errno=%d\n",errno); return; }
   if ((fdDapBin=open("/dev/accel1",O_RDWR)) <= 0)
     { printf("Error opening accel1, errno=%d\n",errno); return; }

   /* get stimulation type from MATLAB */
   st = mxGetPr(prhs[0]);
   StimType = (int) *st;

   /* Start Dap script for recording */
   DAPSendLine(fdDapTxt,"start shrtreca\r");
   if (StimType == 2) {
     DAPSendLine(fdDapTxt,"start shrtrecb\r");}
   else {
     DAPSendLine(fdDapTxt,"start shrtrecc\r");
     DAPSendLine(fdDapTxt,"fill trigpipe 2\r");}


   /* close handles */
   close(fdDapTxt);
   close(fdDapBin);

   /* Restore original ctrl-c handler. */
   restoresig();

   }








