function SRPltDat(sr,tp)

      nrtime = (0:sr.nr_sample_interval: ...
        (sr.nr_num_samples-1)*sr.nr_sample_interval)/1000;
      for i=1:8
        axes(findobj('Tag',[char(64+i) 'Data']));
        plot(nrtime,(100*sr.full_scale/32768)*sr.nr_data(i,:));
        if i ~= 8
          set(gca,'XTick',[]);
        end
     %   set(gca,'YTick',[]);
        set(gca,'Tag',[char(64+i) 'Data']);
        axis([0 (sr.nr_sample_interval*sr.nr_num_samples*1e-3) -100 100])
      end
      xlabel('Time (ms)')
      ylabel('Electrode Voltage (uV)')

      % Plot only current monitor 2 data.  This monitor measures load
      % current.  Current monitor 1 is now (8/25/97) used to measure
      % load voltage.  Note that if stimulation type is not "electric",
      % a vector of zeros will be plotted.
      axes(findobj('Tag','StimCurrent'));
      cmtime = 0:sr.cm_sample_interval: ...
        (sr.cm_num_samples-1)*sr.cm_sample_interval;
      plot(cmtime,(sr.full_scale/32768)*(sr.cm_data(:,2) - ...
                    (ones(sr.cm_num_samples,1)*sr.cm_offsets(2))) );
      xlabel('Time (us)')
      ylabel('Monitor Output (V)')
      set(gca,'Tag','StimCurrent');
      grid on;


      % If stimulation type is "electric", overlay ideal current monitor
      % waveform.
      % Note that, due to the way that software trigger is done,
      % we need to do some calculation to align, along the time axis,
      % the ideal monitor waveform with the measured one 
      if (sr.stim_type == 2)
      t2 = 0:10:(10*(tp.num_samples-1));
      switch tp.rt
        case 1
          MicroampsPerVolt = .2
        case 2
          MicroampsPerVolt = 2;
        case 3
          MicroampsPerVolt = 20;
        case else
          MicroampsPerVolt = 2;
      end
      switch sr.cm_jumpers(2)
        case 0
          VoltsPerMicroamp = 2;
        case 1
          VoltsPerMicroamp = .2;
        case else
          VoltsPerMicroamp = 2;
      end
      exact = TPPlsOut(tp)*2*MicroampsPerVolt*VoltsPerMicroamp;
      thesum = zeros(26,1);
      if ( (tp.num_samples*tp.update_interval) > ...
         (sr.cm_num_samples*sr.cm_sample_interval) )
        NumAvailSamples = floor(sr.cm_num_samples * ...
                                sr.cm_sample_interval / tp.update_interval);
      else
        NumAvailSamples = tp.num_samples
      end

      for del = 0:25
        thesum(del+1) = sum( ...
        exact(1:(NumAvailSamples-del)) .* ...
        sr.cm_data(round(t2((del+1):NumAvailSamples)/4.5)+1,2) );
      end
      [val,ind] = max(thesum);
      hold on;
      plot(t2(ind:tp.num_samples), ...
           exact(1:(tp.num_samples-ind+1))*5/32768,'--');
      hold off;

      %scale horizontal axis based on expected pulse widths
      TotalWidth = tp.pulse1_delay+tp.pulse1_width+ ...
                   tp.pulse2_delay+tp.pulse2_width+tp.ipd;

      MaxNum = floor(tp.num_samples / TotalWidth);

      if (tp.np == 6)
        TotalNum = MaxNum;
      else
        TotalNum = min(tp.np,MaxNum);
      end
      
      xaxmax = tp.update_interval*(((tp.pulse1_delay+tp.pulse1_width+ ...
               tp.pulse2_delay+tp.pulse2_width+tp.ipd)*TotalNum)-tp.ipd)*1.5;

      ax = axis;
      axis([0 xaxmax ax(3) ax(4)])
      end

      %Draw Threshold Cursors
      SRDrawCurs;








