function th = THDfault()
%THDfault: returns threshold variable th set to default values

% The active_handle field is used to animate the vertical line
% marking the spike detection threshold for a given electrode.
% This field is assined the handle of the vertical line marking
% the threshold for the electrode which the user selects with
% the mouse.
th.active_handle = 0;


% The thresholds field is used to hold thresholds for spike detection.
% Note that these thresholds are negative.  In THscr, the absolute
% value of the thresholds is plotted.
% The threshold matrix will be laid out like the plots on THscr:
%
% Column 1 is for Amp A; Column 2 is for Amp B; etc
% Row 1 is for setting 0;
% Row 2 is for setting 1;
% etc

% -1968 for DAP board is approximately 300mV.
th.thresholds = -1968*ones(8,8);


