%THstart: start threshold routines, initializing a th structure if needed
%

% Initialize threshold parameter variable th if it
% doesn't already exist.

if ~exist('th')
  THinit;
else
  if ~THistrct(th)
    errordlg(['TH: global variable th is not of type th. ' ...
              'Over-writing.']);
    THinit;
  end
end

% Create TH screen

if isempty(findobj('Tag','Thresholds'))
  THscr;
  intrmenu;
end

drawnow,drawnow,drawnow

% Check values in the fields of th to make sure they
% are valid.

if size(th.thresholds) ~= [8 8]
  errordlg(['TH: thresholds array is wrong size.' ...
            'Setting to 8 x 8.']);
end

if sum(sum(th.thresholds > 0)) > 0
  errordlg(['TH: thresholds array has positive values.' ...
            'Setting all values to -1312 (about -200mV).']);
end


