function [newtp,err] = TPNearst(oldtp)
%TPNearst: Set waveform to nearest pre-set value.

newtp = oldtp;
err = 0;

[w1,w2,w3,werr] = TPSclWds(oldtp.pulse1_width,oldtp.d2w1_ratio, ...
                           1/oldtp.w1w2_ratio)
if ~werr
  [h1,h2,herr] = TPSclHts(oldtp.pulse1_height,1/oldtp.h1h2_ratio);
    if ~herr
      newtp.pulse1_width = w1;
      newtp.pulse2_delay = w2;
      newtp.pulse2_width = w3;
      newtp.pulse1_height = h1;
      newtp.pulse2_height = h2;
      TPNwTxt(newtp,100);
      TPPltPls(newtp);
    end
end

err = (werr | herr);
