function newtp = TPswct(oldtp,action)
%TPswct: callback functions for modifying stimulation counts in twopulse generator

newtp = oldtp;

switch action

  % The 'numstims' action is ignored if running in silent mode.
  case 'numstims'
      if ~newtp.silent
        if (get(findobj('Tag','NumStims'),'Value') == 1)
          newtp.num_stims = abs(newtp.num_stims);
 	  set(findobj('Tag','count'),'Visible','on')
        else
          newtp.num_stims = -abs(newtp.num_stims);
	  set(findobj('Tag','count'),'Visible','off')
        end
      end
  case 'ctg'
      newtp.num_stims = newtp.num_stims + 1;

  case 'ctgg'
      newtp.num_stims = newtp.num_stims + 10;

  case 'ctl'
    if newtp.num_stims - 1 >= 0
      newtp.num_stims = newtp.num_stims - 1;
    end

  case 'ctll'
    if newtp.num_stims - 10 >= 0
      newtp.num_stims = newtp.num_stims - 10;
    end

end

% Update number of rounds of stimulation on screen if
% it is a finite number

if newtp.num_stims >= 0
  TPNwTxt(newtp,7);
end
