function newtp = TPswht(oldtp,action)
%TPswht: modify pulse heights in twopulse generator

newtp = oldtp;

% Call another routine to handle height changes in shape-locked
% mode.
if ( newtp.lockmode > 1 ) & ~strcmp(action(1:2),'d1')
  [newtp,err] = TPShpLck(newtp,action);
else

  switch action(1:2)
    case 'h1'
      HeightToChange = newtp.pulse1_height;
    case 'h2'
      HeightToChange = newtp.pulse2_height;
  end

  switch action

    case {'h1g','h2g'}
      AddAmount = 16;
    case {'h1gg','h2gg'}
      AddAmount = 160;
    case {'h1ggg','h2ggg'}
      AddAmount = 1600;
    case {'h1l','h2l'}
      AddAmount = -16;
    case {'h1ll','h2ll'}
      AddAmount = -160;
    case {'h1lll','h2lll'}
      AddAmount = -1600;
  
  end

  % if new value for height is within acceptable bounds,
  % go ahead and change it.
  if ((HeightToChange+AddAmount) <= 32752) & ...
     ((HeightToChange+AddAmount) >= -32768)
    NewHeight = HeightToChange + AddAmount;
  else
    NewHeight = HeightToChange;
  end
  
  % re-assign return values
  switch action(1:2)
    case 'h1'
      newtp.pulse1_height = NewHeight;
    case 'h2'
      newtp.pulse2_height = NewHeight;
  end

end

% Update text for both h1 and h2
TPNwTxt(newtp,101);

% Re-plot waveform
TPPltPls(newtp);





