/* Declarations for MEX routines used by the MATLAB 5
   "intrfc" software.
   */

#define DAP_PATH "/home/andrew/matlab/intrfc/dap/"
#define MAX_SPIKES_PER_CHANNEL 100

/* File descriptors for text and binary channels to DAP */
/* These are defined as globals so that the interrupt-handling
   routines can use them to close the channels if a ctrl-c
   is issued */
int fdDapBin,fdDapTxt;

/* Ctrl-c catching routine */

#include <signal.h>
#include <unistd.h>

void (* old_handler)(int);
void ctrl_c(int);
void restoresig();

void mysig()
{
   old_handler = signal(SIGINT, ctrl_c);
}

void ctrl_c(int signum)
{
  printf("Closing binary and text channels to DAP.\n");
  close(fdDapBin);
  close(fdDapTxt);
  printf("Exiting MEX function.\n");
  signal(SIGINT, old_handler);
  raise(SIGINT);
}

void restoresig()
{
  signal(SIGINT, old_handler);
}

