% intrfc.m
%
% This script starts a set of Matlab 5 routines
% which serve as a user interface with the instrumentation
% assembled by A. E. Grumet for the Retinal Implant Project.
%
% Access to these instruments (which consist of an
% electric stimulator and an 8-channel nerve response
% amplifier) is provided by the Microstar Laboratories
% DAP 3000a/212 data acquisition board.
%
% A device driver and a set of C routines residing
% in /usr/src/linux/drivers/dap were purchased from
% Microstar Laboratories to access the 3000a/212 via
% Linux.
%
% These routines assume that the device driver (called
% "daccel" in Linux) has already been loaded.
%
% The C routines may be incorporated into the Matlab 5
% program by compiling them into Matlab MEX functions.
% See the Matlab 5 documentation on the Application
% Program Interface for more detail.
%

% Initialize data and call a screen.
UIinit;
TPinit;
SRinit;
ECinit;
THinit;
RTinit;
TPstart;


