#include <sys/times.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/file.h>
#include <errno.h>
#include "mex.h"
#include "dapio.c"

void mexFunction(
   int nlhs, mxArray *plhs[],
   int nrhs, const mxArray *prhs[])
   {
   int fdDapTxt,fdDapBin;
   struct tms bufr;
   clock_t t;

   /* Open handles to DAP text and binary communication pipes */
   if ((fdDapTxt=open("/dev/accel0",O_RDWR)) <= 0)
     { printf("Error opening accel0, errno=%d\n",errno); return; }
   if ((fdDapBin=open("/dev/accel1",O_RDWR)) <= 0)
     { printf("Error opening accel1, errno=%d\n",errno); return; }

   /* Pause 100ms to make sure last stimulation pulse is processed */
   t = times(&bufr);
   while( (times(&bufr) - t) < 10 ) {}
 
   DAPSendLine(fdDapTxt,"stop recorda,recordb\r");

   /* close handles */
   close(fdDapTxt);
   close(fdDapBin);

   }








