/*
  Copyright (c) 1991-1997, Microstar Laboratories, Inc.
  All rights reserved.
  Confidential source code.       
*/

/* This is the header file for all the C source files for the driver. It 
   defines some data types and global constants used by the device driver.
*/

#define TRUE   1
#define FALSE  0

/* DAP configuration definitions. They are defined here statically for
   driver initialization and installation. A custom driver may want to 
   determine these values dynamically 
 */ 
#define DapMajor     56

#define DefaultTimeOut 2000    /* default read/write device timeout (in 10 millisecond intervals) */
#define AccelVersion 101
#define DvVersion   400    /* Modify daplinit.c to allow smaller numbers */
#define ATMachine  TRUE


/* memory address locations */

#define DapAddrNum    7    /* number of DAP memory address locations to test */
unsigned int DapMemAddr[] = { 0x220, 0x230, 0x240, 0x250, 0x320, 0x330, 0x340 };
/* note: does not support hardware modified address settings */
/* if one of these boards is to be used replace the above parameters with: */
/* add:  0x228, 0x238, 0x248, 0x258, 0x328, 0x338, 0x348 */
#define DapPortSize   8    /* the accel driver uses 8 addresses spaces (220-228) */


/* driver global type definitions */

typedef unsigned char byte;
typedef unsigned short word;
typedef unsigned char uchar_t;
typedef unsigned short ushort_t;
typedef unsigned char uint8_t;
typedef unsigned int minor_t;
/*typedef uint16_t word;*/
/*typedef uint8_t byte;*/

/* data type for the device driver I/O. This is system dependent */

typedef  struct
  {
      byte auReserved1[2];      /* common header fields */
      byte eCommand;
      word wStatus;
      byte auReserved2[8];
      union
      {
          struct  /* Init Request Packet */
          {
              byte uReserved3;
              byte * fpEndAddress;
              byte * fpBPB;
              byte uReserved4; 
          } InitHdr;
          struct  /* input/output Request Packet */
          {
              byte uReserved5;
              byte * fpBuffer;
              word wCount;
              byte auReserved6[2];
          } IOHdr;
          struct  /* input nowait Request Packet */
          {
              char chData;
          } InNoWaitHdr;
      } ReqHdr;
  }  ReqPacket;

