% first cut at matlab-controlled stimulator

d1 = 10;     %delay to pulse 1, us
h1 = 1;      %height of pulse 1, volts
w1 = 100;    %width of pulse 1, us

d2 = 100;     %delay to pulse 2, us
h2 = -1;     %height of pulse 2, volts
w2 = 100;    %width of pulse 2, us

% make output arrays for trigger pulse and
% waveform, assuming 5us per sample and
% verical scaling of 10V/32768.

% first make trigger pulse
out1 = [(16384 * ones(1,300)) 0];

% now make output waveform
out2 = [ zeros(1,round(d1/10)) ...
         (16*round(h1*(32768/(10*16))))*ones(1,round(w1/10)) ...
         zeros(1,round(d2/10)) ...
         (16*round(h2*(32768/(10*16))))*ones(1,round(w2/10)) ...
         zeros(1,301-round(d1/10)-round(w1/10)-round(d2/10)-round(w2/10))];

outdata = reshape([out1; out2],1,602);
pgen_i;

figure(1);
clf;
plot(1:10)
i = uicontrol('BackgroundColor',[.5 .5 .5], ...
              'String','button i', ...
              'Position',[20 20 60 20], ...
	      'Callback','grid on,go=1;,while go,disp(''bar''),pause(1),end'); %makes a pushbutton

k = uicontrol('BackgroundColor',[.5 .5 .5], ...
              'String','button k', ...
              'Position',[200 20 60 20], ...
	      'Callback','grid on,go=1;,while go,disp(''foo''),pause(1),end'); %makes a pushbutton

j = uicontrol('BackgroundColor',[.5 .5 .5], ...
              'String','button j', ...
              'Position',[100 20 60 20], ...
	      'Callback','grid off,go=0;,pause(1),pgen_c;'); %makes a pushbutton

%subplot(211)
%plot(out1)
%subplot(212)
%plot(out2)
