/* initialize dap for pulse generator */

#include <stdio.h>
#include <sys/types.h>
#include <sys/file.h>
#include <errno.h>
#include "mex.h"
#include "dapio.c"

void mexFunction(
  int nlhs, mxArray *plhs[],
  int nrhs, const mxArray *prhs[])
  {

  int fdDapTxt,fdDapBin;

  /* Open handles to DAP text and binary communication pipes */
  if ((fdDapTxt=open("/dev/accel0",O_RDWR)) <= 0)
    { printf("Error opening accel0, errno=%d\n",errno); return; }
  if ((fdDapBin=open("/dev/accel1",O_RDWR)) <= 0)
    { printf("Error opening accel1, errno=%d\n",errno); return; }

  /* Stop DAP processing and flush old data still in com pipes */
  DAPSendLine(fdDapTxt,"\rRESET\r");
  DAPFlush(fdDapTxt);
  DAPFlush(fdDapBin);

  DAPSendFile(fdDapTxt,"test4.dap");

  /* Close handles */
  close(fdDapTxt);
  close(fdDapBin);

  /* Dap is now waiting for binary input */
   }








